perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Perrin Harkins <per...@elem.com>
Subject Re: Weak references, problem with apache2/mod_perl2
Date Wed, 08 Nov 2006 17:39:15 GMT
On Wed, 2006-11-08 at 14:29 +0100, Michael Frankl wrote:
> [Mon Nov 06 00:21:45 2006] [error] Weak references are not implemented
> in the version of perl at /usr/lib/perl5/site_perl/5.8.8/Catalyst.pm
> line 22\nBEGIN failed--compilation aborted
> at /usr/lib/perl5/site_perl/5.8.8/Catalyst.pm line 22.\nCompilation
> failed in require at /home/test/Friends/lib/Friends.pm line 23.\nBEGIN
> failed--compilation aborted at /home/test/Friends/lib/Friends.pm line
> 23.\nCompilation failed in require at (eval 11) line 1.\n
> ---------------
[...]
> It can not be my perl itself, because the standalone server is running,
> or am i wrong?

It probably means that your mod_perl was not compiled with the same perl
that you're running the standalone server on.  Either that, or Catalyst
doesn't run this line when you use it under the standalone server.

>  I already tried to recompile mod_perl without success.

We can help you with that, if you want to try again.

>  I
> think the problem must be located in mod_perl or its configuration.

No, this can't be modified except by recompiling perl itself.

- Perrin


Mime
View raw message